For the complete documentation index, see llms.txt. This page is also available as Markdown.

Customer information with accounting settings

Get full customer information including store specific accounting information

get
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid}/full
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid}/full
GET /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid}/full HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "accounting": {
    "ledgerNumber": "text"
  },
  "customer": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "customerUid": "text",
    "customerParentUid": "text",
    "customerType": "COMPANY",
    "email": "text",
    "externalId": "text",
    "customerNumber": "text",
    "firstname": "text",
    "lastModifiedAt": "2026-01-01T00:00:00.000Z",
    "lastname": "text",
    "mobile": "text",
    "postalCode": "text",
    "pricelistUid": "text",
    "vatNumber": "text",
    "origin": "text",
    "addresses": [
      {
        "address": "text",
        "city": "text",
        "companyName": "text",
        "firstname": "text",
        "lastname": "text",
        "countryCode": "text",
        "email": "text",
        "phone": "text",
        "postalCode": "text",
        "type": "DELIVERY_ADDRESS",
        "customerAddressUid": "text",
        "displayName": "text"
      }
    ],
    "contacts": [
      {
        "firstname": "text",
        "lastname": "text",
        "email": "text",
        "mobile": "text",
        "address": "text",
        "postalCode": "text",
        "city": "text",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "lastModifiedAt": "2026-01-01T00:00:00.000Z",
        "customerContactUid": "text",
        "extensions": [
          {
            "extensionCode": "TWO_INVOICE",
            "organizationUid": "text"
          }
        ],
        "displayName": "text",
        "role": "ADMIN"
      }
    ],
    "extensions": [
      {
        "extensionCode": "TWO_INVOICE",
        "organizationUid": "text"
      }
    ],
    "consents": [
      {
        "consentUid": "text",
        "name": "text",
        "status": true,
        "source": "text",
        "createdAt": "2026-01-01T00:00:00.000Z"
      }
    ],
    "loyaltyId": "text",
    "displayName": "text",
    "credit": {
      "limit": 1,
      "balance": 1
    },
    "paymentTerms": 1,
    "internalNote": "text",
    "accountManager": {
      "tenantUserUid": "text",
      "displayName": "text",
      "userCode": "text"
    },
    "ehf": {
      "enabled": true,
      "address": "text"
    },
    "customerGroupUids": [
      "text"
    ],
    "defaultStore": {
      "name": "text",
      "storeUid": "text"
    },
    "representedStore": {
      "name": "text",
      "storeUid": "text"
    },
    "relevance": 1
  }
}

Last updated

Was this helpful?